import { DataTableComponent } from './data-table.component';
import { OnInit, OnDestroy } from '@angular/core';
import { Subscription } from 'rxjs';
export declare class TableSortIconComponent implements OnInit, OnDestroy {
    dt: DataTableComponent;
    field: string;
    subscription: Subscription;
    sorted: number;
    constructor(dt: DataTableComponent);
    ngOnInit(): void;
    updateSortIcon(): void;
    ngOnDestroy(): void;
}
